Bug 1019478 - cinnamon-screensaver and cinnamon-fallback-mount-helper sometimes keep running when logging out of cinnamon and into gnome (classic)
cinnamon-screensaver and cinnamon-fallback-mount-helper sometimes keep runnin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 16:09 EDT by Mike FABIAN
Modified: 2013-11-10 02:50 EST (History)
3 users (show)

See Also:
Fixed In Version: cinnamon-control-center-2.0.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 23:31:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2013-10-15 16:09:34 EDT
- I installed Fedora 20 Beta TC4 in qemu, using the command line:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-TC4-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-TC4-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-TC4-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-TC4/Fedora-20-Beta-TC4-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-20-Beta-TC4-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb

- I installed other desktop environments with

sudo yum groupinstall gnome-desktop-environment kde-desktop-environment xfce-desktop-environment lxde-desktop-environment cinnamon-desktop-environment mate-desktop-environment sugar-desktop-environment developer-workstation-environment minimal-environment development-tools c-development editors

- log into cinnamon
- lock screen
- unlock screen
- log out of cinnamon
- log into gnome session (I used the "classic" variant)
- some cinnamon processes are still running:

  [mfabian@Fedora-20-Beta-TC4-x86_64-netins ~]$ ps aux | grep cinnamon
mfabian  21981  0.0  0.5 548904 12144 ?        Sl   21:40   0:00 cinnamon-screensaver
mfabian  21985  0.0  0.5 544528 11948 ?        Sl   21:40   0:00 /usr/libexec/cinnamon-fallback-mount-helper
mfabian  22605  0.0  0.0 112680   956 pts/2    S+   21:46   0:00 grep --color=auto cinnamon
[mfabian@Fedora-20-Beta-TC4-x86_64-netins ~]$

- wait a while and the cinnamon screen saver locks the screen, preventing
  the gnome screen saver from locking the screen.
Comment 1 Fedora Update System 2013-10-17 09:51:14 EDT
cinnamon-screensaver-2.0.0-2.fc19, cinnamon-settings-daemon-2.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cinnamon-settings-daemon-2.0.1-2.fc19,cinnamon-screensaver-2.0.0-2.fc19
Comment 2 Fedora Update System 2013-10-17 09:52:21 EDT
cinnamon-screensaver-2.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cinnamon-screensaver-2.0.0-2.fc20
Comment 3 Fedora Update System 2013-10-17 16:20:30 EDT
Package cinnamon-screensaver-2.0.0-2.fc20, cinnamon-settings-daemon-2.0.1-2.fc20, cinnamon-2.0.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cinnamon-screensaver-2.0.0-2.fc20 cinnamon-settings-daemon-2.0.1-2.fc20 cinnamon-2.0.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19128/cinnamon-2.0.2-2.fc20,cinnamon-settings-daemon-2.0.1-2.fc20,cinnamon-screensaver-2.0.0-2.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-18 08:59:36 EDT
cinnamon-control-center-2.0.3-1.fc20, cinnamon-screensaver-2.0.0-2.fc20, cinnamon-2.0.2-3.fc20, cinnamon-settings-daemon-2.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-19128/cinnamon-control-center-2.0.3-1.fc20,cinnamon-2.0.2-3.fc20,cinnamon-settings-daemon-2.0.1-2.fc20,cinnamon-screensaver-2.0.0-2.fc20
Comment 5 Fedora Update System 2013-10-18 20:13:17 EDT
Package cinnamon-control-center-2.0.3-1.fc20, muffin-2.0.2-1.fc20, nemo-2.0.1-1.fc20, cinnamon-2.0.3-1.fc20, cinnamon-screensaver-2.0.1-1.fc20, cinnamon-settings-daemon-2.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cinnamon-control-center-2.0.3-1.fc20 muffin-2.0.2-1.fc20 nemo-2.0.1-1.fc20 cinnamon-2.0.3-1.fc20 cinnamon-screensaver-2.0.1-1.fc20 cinnamon-settings-daemon-2.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19128/nemo-2.0.1-1.fc20,muffin-2.0.2-1.fc20,cinnamon-control-center-2.0.3-1.fc20,cinnamon-2.0.3-1.fc20,cinnamon-screensaver-2.0.1-1.fc20,cinnamon-settings-daemon-2.0.3-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-22 23:31:59 EDT
cinnamon-control-center-2.0.3-1.fc19, muffin-2.0.2-1.fc19, nemo-2.0.1-1.fc19, cinnamon-2.0.3-1.fc19, cinnamon-screensaver-2.0.1-1.fc19, cinnamon-settings-daemon-2.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-10 02:50:04 EST
cinnamon-control-center-2.0.3-1.fc20, muffin-2.0.2-1.fc20, nemo-2.0.1-1.fc20, cinnamon-2.0.3-1.fc20, cinnamon-screensaver-2.0.1-1.fc20, cinnamon-settings-daemon-2.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.